@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Serif:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');

.ibm-plex-serif-thin {
  font-family: "IBM Plex Serif", serif;
  font-weight: 100;
  font-style: normal;
}

.ibm-plex-serif-extralight {
  font-family: "IBM Plex Serif", serif;
  font-weight: 200;
  font-style: normal;
}

.ibm-plex-serif-light {
  font-family: "IBM Plex Serif", serif;
  font-weight: 300;
  font-style: normal;
}

.ibm-plex-serif-regular {
  font-family: "IBM Plex Serif", serif;
  font-weight: 400;
  font-style: normal;
}

.ibm-plex-serif-medium {
  font-family: "IBM Plex Serif", serif;
  font-weight: 500;
  font-style: normal;
}

.ibm-plex-serif-semibold {
  font-family: "IBM Plex Serif", serif;
  font-weight: 600;
  font-style: normal;
}

.ibm-plex-serif-bold {
  font-family: "IBM Plex Serif", serif;
  font-weight: 700;
  font-style: normal;
}

.ibm-plex-serif-thin-italic {
  font-family: "IBM Plex Serif", serif;
  font-weight: 100;
  font-style: italic;
}

.ibm-plex-serif-extralight-italic {
  font-family: "IBM Plex Serif", serif;
  font-weight: 200;
  font-style: italic;
}

.ibm-plex-serif-light-italic {
  font-family: "IBM Plex Serif", serif;
  font-weight: 300;
  font-style: italic;
}

.ibm-plex-serif-regular-italic {
  font-family: "IBM Plex Serif", serif;
  font-weight: 400;
  font-style: italic;
}

.ibm-plex-serif-medium-italic {
  font-family: "IBM Plex Serif", serif;
  font-weight: 500;
  font-style: italic;
}

.ibm-plex-serif-semibold-italic {
  font-family: "IBM Plex Serif", serif;
  font-weight: 600;
  font-style: italic;
}

.ibm-plex-serif-bold-italic {
  font-family: "IBM Plex Serif", serif;
  font-weight: 700;
  font-style: italic;
}

body {
  font-family: 'IBM Plex Serif';
  font-size: 1rem;
  line-height: 1.25;
  color: #ffffff;
  background-color: #131313;
}

img, svg, video {
  max-width: 100%;
  display: block;
}

main {
  max-width: min(60ch, 100% - 2rem);
  margin-inline: auto;
  margin-bottom: 24px;
}

footer {
    margin-top: 24px;
}

a {
    color: #d6d6d6;
}

.blog-list {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  margin-block: 2rem;
  padding: 0;
}

.blog-item {
  display: flex;
  gap: 1rem;
  justify-content: space-between;
  align-items: stretch;
  text-decoration: none;
  color: inherit;
}

.blog-info {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-grow: 1;
}

.blog-info h3 {
  margin: 0;
  font-size: 1.1rem;
  line-height: 1.2;
  text-decoration: underline;
  color: #d6d6d6;
}

.blog-info p {
  margin: 0.2rem 0;
  font-size: 0.9rem;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.blog-info time {
  font-size: 0.8rem;
  font-style: italic;
}

.blog-image-wrapper {
  width: 80px;
  height: 80px;
  flex-shrink: 0;
}

.blog-image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}